Initiate a Direct Debit InstructionCopy Pagepost https://www.bankingcircleconnect.com/api/v1/payments/direct-debit-instructionsThe endpoint is used for initiating a Direct Debit Instruction.Body ParamsInstruction detailsRequest model for creating a new SEPA Direct Debit Instruction.requestedCollectionDatestringrequiredDate representation Format: ISO 8601 | YYYY-MM-DD Example: 2001-01-28endToEndIdstringrequiredlength ≤ 35Unique identifier assigned by the creditor to unambiguously identify the transaction end-to-end across the payment chain. Max 35 characters.instructedAmountobjectrequiredThe instructed amount and currency for the direct debit collection.instructedAmount objectultimateCreditorobjectThe ultimate creditor — the party who is the ultimate beneficiary of the funds, if different from the creditor initiating the collection.ultimateCreditor objectcreditorobjectrequiredThe creditor — the party initiating the direct debit.creditor objectcreditorAccountobjectrequiredThe creditor's account to be credited.creditorAccount objectdebtorobjectrequiredThe debtor — the party whose account is to be debited.debtor objectdebtorAccountobjectrequiredThe debtor's account to be debited.debtorAccount objectdebtorAgentobjectrequiredThe debtor's bank (financial institution).debtorAgent objectmandateRelatedInformationobjectrequiredInformation related to the SEPA mandate signed by the debtor authorizing the direct debit.mandateRelatedInformation objectremittanceInformationstring | nullUnstructured remittance information to provide additional payment details to the debtor. Optional. Max 140 characters.HeadersX-MessageReferencestringUnique reference of the HTTP request.If left blank this field will be populated with a GUID without dashes.This field is limited to a maximum of 35 characters, if not upheld the API will return with an error 400 - Bad Request.Example: 6198eb60-d1dd-4aad-9bbd-b01a49214e62Idempotency-KeystringUnique value generated by the user which the API uses to recognize subsequent retries of the same request.This field is limited to a maximum of 100 characters, if not upheld the API will return with an error 400 - Bad Request.Example: 2b7b05ad-4411-4a19-8c95-2508b17e0fd8Responses 200Success 201Created 400Bad request. Request is not correctly formulated. Goes for both Header, Query and Body. Verify the error description and properties. 404Not found. There is no resource behind the URL, i.e. requesting data on an account that does not exist. 409Conflict. Idempotency-key violation. Request being handled. 500Internal Server Error. Something unexpected happened on BC Connect side.Updated 8 days ago